Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002002Zandronum[All Projects] Suggestionpublic2014-11-19 04:292021-08-08 01:47
ReporterWatermelon 
Assigned ToKaminsky 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.4 
Target Version3.1Fixed in Version3.1-beta 
Summary0002002: Allow map rotation to have associated player counts to select when choosing.
DescriptionOne of the problems with FNF is when a massive map is picked, or too small of a map is picked when there's a high amount of players. Therefore I was thinking of having an optional set in range of 0 .. MAXPLAYERS.

For example, you'd see something like:
Map, low, high:
MAP01, 0, 16
MAP02, 4, 32
MAP03, 16, 64

By default, if none are specified, it'd default to 0 and 64.

Details of how it'd work:
- If there's not enough players, it will randomly choose from what is available. If there is not enough players, it will pick the lowest indexed map (or randomize between multiple lowest index maps).
- If there's more people than the limit, it will pick the limit with the highest number of players. This is quite similar to the above.


Is this an idea we could pursue? Looking for feedback/review before continuing.
Attached Files

- Relationships
related to 0001710acknowledged Minimum/maximum players for MAPINFO 

-  Notes
User avatar (0010908)
Konar6 (reporter)
2014-11-19 10:46

http://zandronum.com/tracker/view.php?id=1710 [^]
User avatar (0012961)
Marcaek (reporter)
2015-07-17 20:33
edited on: 2015-07-17 20:33

MAPINFO additions are a poor alternative, requiring patchwads made for literally all wads pre-addition of MAPINFO flags.

This however, is an excellent idea.

User avatar (0021640)
Kaminsky (developer)
2021-07-26 12:59

3.1 adds two optional parameters to "addmap" and "insertmap", for specifying the min and/or max players required to enter a map. If there's too few or too many players to enter any of the maps in the rotation, then it will choose the map which has the lowest min or highest max respectively.
User avatar (0021679)
arkore (reporter)
2021-08-08 00:53

Testing complete.

Windows 10 (1903 Build)
GeForce GTX 1060 6GB (Drivers 26.21.14.4112 - 2019-10-24)
Zandronum 3.1-alpha 64-bit (210801-2044)

1. zandronum -host -iwad doom2.wad +sv_updatemaster 0 +sv_maprotation 0 +addmap MAP02 0 2 +addmap MAP12 0 2 +addmap MAP22 2 4 +insertmap MAP16 2 1 6 +insertmap MAP17 1 3 6 +insertmap MAP18 0 0 6 (success: starts at MAP17, ignoring playercount.)
2. zandronum -iwad doom2.wad -connect localhost
3. nextmap (success: Begins new playercount-based rotation order, starting at MAP02)
4. nextmap (success: MAP12)
5. nextmap (success: MAP18)
6. join in-game
7. nextmap (success: MAP02's nextmap is now MAP03.)
8. insertmap MAP03 3 0 2 (success: MAP02's nextmap is now MAP03.)
9. nextmap (success: MAP03's nextmap is now MAP16.)
9. spectate
10. nextmap (success: MAP03's nextmap is now MAP12.)

With random map rotation:

1. zandronum -host -iwad doom2.wad +sv_updatemaster 0 +sv_maprotation 1 +addmap MAP02 0 2 +addmap MAP12 0 2 +addmap MAP22 2 4 +insertmap MAP16 2 1 6 +insertmap MAP17 1 3 6 +insertmap MAP18 0 0 6 (success: starts at a random map, ignoring playercount.)

With config:

1. SERVER.CFG:
sv_broadcast 0
sv_randommaprotation true
clearmaplist // (OPTIONAL)
addmap MAP02 0 2
addmap MAP12 0 2
addmap MAP22 2 4
insertmap MAP16 2 1 6
insertmap MAP17 1 3 6
insertmap MAP18 0 0 6

2. zandronum -host +exec SERVER.CFG -iwad doom2.wad (success: Same behavior as above.)
User avatar (0021680)
Kaminsky (developer)
2021-08-08 01:46

Thanks for thoroughly testing out this feature! I'll mark this as resolved.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Marcaek WaTaKiD Leonard Combinebobnt
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-11-19 04:29 Watermelon New Issue
2014-11-19 04:30 Watermelon Status new => needs review
2014-11-19 04:30 Watermelon Assigned To => Watermelon
2014-11-19 04:30 Watermelon Status needs review => assigned
2014-11-19 04:30 Watermelon Status assigned => needs review
2014-11-19 10:46 Konar6 Note Added: 0010908
2014-11-19 14:57 Dusk Relationship added related to 0001710
2014-12-07 14:23 Watermelon Status needs review => assigned
2015-07-17 20:33 Marcaek Note Added: 0012961
2015-07-17 20:33 Marcaek Note Edited: 0012961 View Revisions
2016-04-10 19:25 Dusk Status assigned => new
2016-04-10 19:27 Dusk Assigned To Watermelon =>
2021-07-26 12:59 Kaminsky Note Added: 0021640
2021-07-26 12:59 Kaminsky Assigned To => Kaminsky
2021-07-26 12:59 Kaminsky Status new => needs testing
2021-07-26 12:59 Kaminsky Target Version => 3.1
2021-08-08 00:53 arkore Note Added: 0021679
2021-08-08 01:46 Kaminsky Note Added: 0021680
2021-08-08 01:47 Kaminsky Status needs testing => resolved
2021-08-08 01:47 Kaminsky Fixed in Version => 3.1-beta
2021-08-08 01:47 Kaminsky Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker